Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 206950 - [or_IN] Conjuct of (0b4d+0b2f) splits on following consonant.
Summary: [or_IN] Conjuct of (0b4d+0b2f) splits on following consonant.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lohit-fonts
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rahul Bhalerao
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-09-18 13:22 UTC by Rahul Bhalerao
Modified: 2008-01-23 19:37 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-23 19:37:20 UTC


Attachments (Terms of Use)
Patch No. 9 (deleted)
2006-09-18 13:29 UTC, Rahul Bhalerao
no flags Details | Diff
Verified Image (deleted)
2007-04-28 09:55 UTC, A S Alam
no flags Details

Description Rahul Bhalerao 2006-09-18 13:22:31 UTC
Description of problem:
When following type of combination is typed:
   consonant + 0b4d + 0b2f 
(0b4d+0b2f) forms a phala, but when the combination is followed by
any consonant, the phala formed earlier is lost and a new phala of the
final consonant is created to join with 0b2f.

i.e. Final output becomes,
  consonant1 + 0b2f + (0b4d+ consonant2)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Rahul Bhalerao 2006-09-18 13:29:44 UTC
Created attachment 136539 [details]
Patch No. 9

This Patch needs a complementary patch for Pango.

Comment 2 Rahul Bhalerao 2006-09-21 07:55:44 UTC
The bug has fixes in Pango and font as well.
Patches submitted on the bug #207456 and #206581 solves the problem.

Comment 3 Matthew Miller 2007-04-06 17:08:40 UTC
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]


Comment 4 Rahul Bhalerao 2007-04-16 10:55:36 UTC
Fixed in FC6.

Comment 5 A S Alam 2007-04-28 09:55:07 UTC
Created attachment 153695 [details]
Verified Image

Comment 6 A S Alam 2007-04-28 09:59:03 UTC
Hi Rahul,
can you please check whether this is output required?



Comment 7 Rahul Bhalerao 2008-01-17 13:31:01 UTC
The image is correct and the fixes for this bug are already done.


Note You need to log in before you can comment on or make changes to this bug.